import javax.microedition.lcdui.Command;
import javax.microedition.lcdui.CommandListener;
import javax.microedition.lcdui.Display;
import javax.microedition.lcdui.Displayable;
import javax.microedition.lcdui.Form;

public class DeleteAllConfirmationScreen extends Form 
  implements CommandListener
{
  private static Command back = 
    new Command("No", Command.BACK, 1);

  private static Command ok = 
    new Command("OK", Command.OK, 1);

  private static String prompt = 
    "Do you really want to delete all records?";

  private Display display = null;
  private static DeleteAllConfirmationScreen instance; 

  public DeleteAllConfirmationScreen(String title)
  {
    super(title);
    instance = this;
    display = Display.getDisplay(PersistenceDemo.getInstance());

    append(prompt);

    addCommand(ok);
    addCommand(back);
    setCommandListener(this);
  }

  public static DeleteAllConfirmationScreen getInstance()
  {
    return instance;
  }

  void display()
  {
    display.setCurrent(this);
  }

  public void commandAction(Command c, Displayable d)
  {
    if (c == ok)
      {
	AddressBookMain.getInstance().deleteAllRecords();
	AddressBookMain.getInstance().display();
      }
    if (c == back)
      {
	AddressBookMain.getInstance().display();
      }
  }
}
