import javax.microedition.lcdui.Image;

import java.io.IOException;

/**
   This class defines localized resources for the
   I18NDemo3 application.  You retrieve the a resource by
   calling the getObject() method in the ResourceBundle
   class.
*/
public class I18NDemoResources_hy_AM
  extends ListResourceBundle
{

  // Holds one of the localized resources.  We need to
  // initialize this variable in this class's static
  // initializer.
  private static Image appIcon;

  private Object [][] contents =
  {
    // "Hello, World".
    {"title", "\u0532\u0561\u0580\u0565\u057e, \u0561\u0577\u056d\u0561\u0580\u0578"},

    // "My third MIDlet".
    {"greeting", 
     "\u0552\u0574 \u0565\u0580\u0578\u0580\u056d MIDlet"}, 

    // "Button Pressed".
    {"alert_title", "\u053f\u0576\u057c\u057a\u056f\u0561 \u057d\u0565\u0572\u0574\u0565\u0582"}, 

    // "A button was pressed!". 
    {"alert_text", "\u053f\u0576\u057c\u057a\u056f\u0561\u0576 \u057d\u0565\u056d\u0574\u0561\u056e\u0565!"},

    // "Exit" soft button.
    {"exit", "\u0544\u057f"},

    // "Menu" soft button. 
    {"menu", "\u0544\u0565\u0576\u0575\u0578\u0582"}, 

    // "Cancel" menu item.
    {"cancel", "\u054e\u0565\u0580\u0566"},

    // "Stop" menu item.
    {"stop", "\u054e\u0565\u0580\u0566"},

    // "OK" menu item.
    {"ok", "OK"},	

    // "Alert" soft button.
    {"alert", "\u0531\u0578\u0561\u057e\u0561\u0576\u0563"},

    // "Say Hi" menu item.
    {"sayhi","\u0531\u057d\u0561 \u0562\u0561\u0580\u0587"},

    // "Screen" menu item.
    {"screen", "\u0537\u056f\u0580\u0561\u0576"},	

    // "Item" menu item.
    {"item", "\u0531\u057a\u0580\u0561\u0576"}, 

    // "Help" menu item. 
    {"help", "\u0555\u0563\u0576\u0565\u056c"},	

    // Application icon.
    {"app_icon", appIcon}
  };

  /**
     No-arg constructor.
  */
  public I18NDemoResources_hy_AM()
  {
    super();
  }

  public Object [][] getContents()
  {
    return contents;
  }

  // Need the static initializer to initialize any
  // variables that can't be initialized in the contents
  // array.  For example, we can't put an expression in
  // the contents array to create an image and do the
  // required exception handling.
  static
  {
    try
      {
	appIcon = Image.createImage("i18n-hy_AM.png");
      }
    catch (IOException ioe)
      {
	System.out.println(ioe.getMessage());
	ioe.printStackTrace();
      }
  }


}
