import javax.microedition.lcdui.Command;
import javax.microedition.lcdui.CommandListener;
import javax.microedition.lcdui.Display;
import javax.microedition.lcdui.Displayable;
import javax.microedition.lcdui.Ticker;
import javax.microedition.lcdui.Form;

/**
   This class demonstrates use of the Ticker MIDP UI
   component class.

   @see javax.microedition.lcdui.Gauge
*/   
public class TickerDemo extends Form 
  implements CommandListener
{
  private String str = 
    "This text keeps scrolling until the demo stops...";

  private Ticker ticker = new Ticker(str);

  private Command back = 
    new Command("Back", Command.BACK, 1);
  private static Displayable instance;

  /**
     Constructor.
  */
  public TickerDemo()
  {
    super("Ticker demo");
    instance = this;

    addCommand(back);
    setTicker(ticker);
    setCommandListener(this);
  }

  /**
     Returns the single instance of this class.  Calling
     this method before constructing an object will return
     a null pointer.
     
     @return an instance of this class.
  */
  public static Displayable getInstance()
  {
    return instance;
  }

  public void commandAction(Command c, Displayable d)
  {
    if (c == back)
      {
	UIComponentDemo.getInstance().display();
      }
  }

}
