import javax.microedition.lcdui.Command;
import javax.microedition.lcdui.CommandListener;
import javax.microedition.lcdui.Displayable;
import javax.microedition.lcdui.Form;
import javax.microedition.lcdui.Gauge;

/**
   This class demonstrates use of the Gauge MIDP UI
   component class.

   @see javax.microedition.lcdui.Gauge
*/
public class GaugeDemo extends Form 
  implements CommandListener
{
  private Command back = 
    new Command("Back", Command.BACK, 1);

  private static Displayable instance; 

  private String gauge1Label = 
    new String("Interactive gauge");

  private Gauge interactiveGauge = 
    new Gauge("Interactive", true, 50, 15);

  private String gauge2Label = 
    new String("Non-interactive");
  private Gauge staticGauge = new Gauge("Static", 
					false,
					50,
					25);

  /**
     Constructor.
  */
  public GaugeDemo()
  {
    super("Gauge Demo");

    append(gauge1Label);
    append(interactiveGauge);

    append(gauge2Label);
    append(staticGauge);

    addCommand(back);
    setCommandListener(this);

    instance = this;
  }

  /**
     Returns the single instance of this class.  Calling
     this method before constructing an object will return
     a null pointer.
     
     @return an instance of this class.
  */
  public static Displayable getInstance()
  {
    return instance;
  }

  public void commandAction(Command c, Displayable d)
  {
    if (c == back)
      {
	UIComponentDemo.getInstance().display();
      }
  }

}
