import javax.microedition.lcdui.Image;

import java.io.IOException;

/**
   This class defines localized resources for the
   I18NDemo3 application.  You retrieve the a resource by
   calling the getObject() method in the ResourceBundle
   class.
*/
public class I18NDemoResources_ru_RU
  extends ListResourceBundle
{

  // Holds one of the localized resources.  We need to
  // initialize this variable in this class's static
  // initializer.
  private static Image appIcon;

  private Object [][] contents =
  {
    // "Hello, World".
    {"title", "\u0417\u0434\u0440\u0430\u0441\u0442\u0432\u0443\u0439, \u041c\u0446\u0440!"},

    // "My third MIDlet".
    {"greeting", "\u041c\043e\u0439 \u0442\u0440\u0435\u0442\u0438\u0439 MIDlet!"}, 

    // "Button Pressed".
    {"alert_title", "\u041a\u043d\u043e\u043f\u043a\u0430 \u041d\u0430\u0436\u0430\u0442\u0430"}, 

    // "A button was pressed!". 
    {"alert_text", "\u041a\u043e\u043e\u043f\u043a\u0430 \u0411\u044b\u043b\u0430 \u043d\u0430\u0436\u0430\u0442\u0430!"},

    // "Exit" soft button.
    {"exit", "\u0412\u044b\u0445\u043e\u0434"},	

    // "Menu" soft button. 
    {"menu", "\u041c\u0435\u043d\u044e"}, 

    // "Cancel" menu item.
    {"cancel", "\u041f\u0440\u0435\u043a\u0440\u0430\u0442\u0446\u0442\u044c"},

    // "Stop" menu item.
    {"stop", "\u0421\u0442\u043e\u043f"},

    // "OK" menu item.
    {"ok", "OK"},	

    // "Alert" soft button.
    {"alert", "\u0412\u043d\u0446\u043c\u0430\u043d\u0446\u0435"},

    // "Say Hi" menu item.
    {"sayhi","\u0421\u043a\u0430\u0436\u0446 \u043f\u0440\u0446\u0432\u0435\u0442"},		

    // "Screen" menu item.
    {"screen", "\u042d\u043a\u0440\u0430\u043d"},	

    // "Item" menu item.
    {"item", "\u041f\u0440\u0435\u0434\u04c3\u0435\u0442"}, 

    // "Help" menu item. 
    {"help", "\u041f\u043e\u043c\u043e\u0449\u044c"},	

    // Application icon.
    {"app_icon", appIcon}
  };

  /**
     No-arg constructor.
  */
  public I18NDemoResources_ru_RU()
  {
    super();
  }

  public Object [][] getContents()
  {
    return contents;
  }

  // Need the static initializer to initialize any
  // variables that can't be initialized in the contents
  // array.  For example, we can't put an expression in
  // the contents array to create an image and do the
  // required exception handling.
  static
  {
    try
      {
	appIcon = Image.createImage("i18n-ru_RU.png");
      }
    catch (IOException ioe)
      {
	System.out.println(ioe.getMessage());
	ioe.printStackTrace();
      }
  }


}
