import javax.microedition.lcdui.Command;
import javax.microedition.lcdui.CommandListener;
import javax.microedition.lcdui.Displayable;
import javax.microedition.lcdui.Form;
import javax.microedition.lcdui.StringItem;

/**
   This class demonstrates use of the StringItem MIDP UI
   class. 

   @see javax.microedition.lcdui.StringItem
*/
public class StringItemDemo extends Form 
  implements CommandListener
{
  private Command back = 
    new Command("Back", Command.BACK, 1);

  private static Displayable instance; 

  private StringItem si = 
    new StringItem("StringItem's title", 
		   "Immutable item text");

  /**
     Constructor.
  */
  public StringItemDemo()
  {
    super("StringItem Demo");

    append(si);
    addCommand(back);
    setCommandListener(this);

    instance = this;
  }

  /**
     Returns the single instance of this class.  Calling
     this method before constructing an object will return
     a null pointer.
     
     @return an instance of this class.
  */
  public static Displayable getInstance()
  {
    return instance;
  }

  public void commandAction(Command c, Displayable d)
  {
    if (c == back)
      {
	UIComponentDemo.getInstance().display();
      }
  }
}
